Results 1 to 6 of 6

Thread: OpenSUSE11, KDE, Kaffeine issue

  1. #1

    Default OpenSUSE11, KDE, Kaffeine issue

    Hello again, this time the problem is Kaffeine; I am trying to install the required plugins to see avi and mpg video. I used to have some problems with the installation but the problems are solved thanks to Buckesfeld. But now, after all the installation from the community one click installation link, the Yast2 tell me the installation is good, but I get the same problem, I can not see the videos... Any idea?? please help!!

    Thanks in advance,
    Ibrahim.

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,517
    Blog Entries
    37

    Default Re: OpenSUSE11, KDE, Kaffeine issue

    Quote Originally Posted by ibrahimenrique View Post
    Hello again, this time the problem is Kaffeine; I am trying to install the required plugins to see avi and mpg video. I used to have some problems with the installation but the problems are solved thanks to Buckesfeld. But now, after all the installation from the community one click installation link, the Yast2 tell me the installation is good, but I get the same problem, I can not see the videos.
    Often, newbies can not play video because of a codec issue. I recommend you select the xine video engine under kaffeine, and use the packman packaged version of libxine1 (and not videolan version). Also ensure you have libffmpeg0 installed (as packaged by packman and not by videolan) which provides you with most of the codecs you might need.

    Also, if you have special desktop effects (ie the cube / 3D ) enabled, either (1) disable them, or (2) change the output video module in your player from "auto" or "xv" (xvideo) to "x11".

    And finally, if you have Intel graphic hardware, you may need to do a custom edit to your /etc/X11/xorg.conf file.

  3. #3

    Default Re: OpenSUSE11, KDE, Kaffeine issue

    Dear Mr. OldCpu; unfortunately your are like speaking chinesse to me. I look for the engines you say and I could not see anything refering to videoland or packman. I remember to see some packman stuff when I was making the one click installation from the community page but now I am lost. If you could guide me to where should I see I would do as you say.
    On the other hand I found I can reproduce mp3 files with Amarok; is there some similar program for video???

    Thanks and regards,

    Ibrahim

  4. #4
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,517
    Blog Entries
    37

    Default Re: OpenSUSE11, KDE, Kaffeine issue

    Quote Originally Posted by ibrahimenrique View Post
    Dear Mr. OldCpu; unfortunately your are like speaking chinesse to me.
    OK,...lets start over.

    First thing I recommend you do is learn some basic openSUSE concepts. That will hopefully put in context what I have to state. So please read this URL:
    Concepts - openSUSE

    Quote Originally Posted by ibrahimenrique View Post
    I look for the engines you say and I could not see anything refering to videoland or packman.
    videolan (not videoland) and packman are not "engines". They are each a group of individuals who package multimedia rpms for openSUSE. They package these multimedia applications as rpms that can be installed. The rpms they build are typically stored on file servers on the internet called "repositories" ("repos" for short).

    To install these rpms (ie applications) individually can be difficult, so users will use a program known as a "software package manager" to both download and install the rpms for them, while at the same time installing any pre-requisite software (known as a dependency) also. ie ... it makes software installation easy.

    Now videlan packagers and packman packagers typically do not make a big effort to ensure their packages are compatible with each other, so it is best to use packages (of applications) packaged by one or the other, but not both.

    I recommend users setup their software package manager repos with only 4 repos. Specifically OSS, Non-OSS, Update and Packman. There is detail on how to do that here: Repositories - openSUSE-Community
    Again, only OSS, Non-OSS, Update and Packman.

    Once those are setup, you can go to YaST > Software > Software Management, and
    • remove xine-lib and at the same time install libxine1
    • replace the openSUSE packaged amarok with the packman packaged amarok, and also install amarok-xine
    • also install smplayer, libffmpeg0, mplayerplug-in, w32codec-all, mad, kaffeine

    Use the yast > software method I mentioned. Not the one click install.

    And again, this could be more than a codec issue. I can not tell due to the lack of detailed error information that you have (not) provided.

    If not codecs, it also could be you have problems with either:
    • your desktop is set for special desktop effects (ie the cube or 3D ) which may be incompatible with your video players, or
    • your graphic hardware, if Intel graphics, may be incompatible with your current settings, and you may need to change your settings by doing a hand edit to your /etc/X11/xorg.conf file.
    There is no point in making a recommendation there until we know for certain what graphic hardware you have.

  5. #5

    Default Re: OpenSUSE11, KDE, Kaffeine issue

    Mr. OldCPU,

    I found the xine-lib in the Non-OSS group but I didn't unistall it because it said that will delete many other programs including Kaffeine. Also I found libxine1 in the packman group but I didn't install it because I didn't uninstall the previous one... Should I proceed?

    My video card is an Nvidia GeForce GO6150...

    Thanks and regards,

    Ibrahim Colmenares

  6. #6
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,517
    Blog Entries
    37

    Default Re: OpenSUSE11, KDE, Kaffeine issue

    Quote Originally Posted by ibrahimenrique View Post
    I found the xine-lib in the Non-OSS group but I didn't unistall it because it said that will delete many other programs including Kaffeine. Also I found libxine1 in the packman group but I didn't install it because I didn't uninstall the previous one... Should I proceed?
    You need to mark the xine-lib for removal, and then do not remove it (yet). Next mark the libxine1 for installation. Then apply the operation (to remove xine-lib and install libxine1 at the same time).

    libxine1 being installed at the same time as xine-lib removal, will replace xine-lib and the various other programs being marked for deletion will not happen.

    Only do those two programs at a time. Don't try to pack in other program installations during this operation.

    Well done on your conservatism and asking for clarification.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •